# CTContext (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class CTContext

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.table.CTContext

-     public abstract class CTContext
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.eclipse.nebula.widgets.nattable.NatTable` | `getTable()`
    `boolean` | `isColumnExpanded()`
    `boolean` | `isRowExpanded()`
    `void` | `setColumnExpanded(boolean columnExpanded)`
    `void` | `setRowExpanded(boolean rowExpanded)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CTContext

          public CTContext()

  - ### Method Detail

    - #### getTable

          public abstract org.eclipse.nebula.widgets.nattable.NatTable getTable()

      Returns:

    - #### isColumnExpanded

          public boolean isColumnExpanded()

      Returns:

    - #### isRowExpanded

          public boolean isRowExpanded()

      Returns:

    - #### setColumnExpanded

          public void setColumnExpanded(boolean columnExpanded)

      Parameters:
        `columnExpanded` -

    - #### setRowExpanded

          public void setRowExpanded(boolean rowExpanded)

      Parameters:
        `rowExpanded` -